[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# FindCollation

Find a collation by name

## Declaration

Source position: unicodedata.pas line 559

`function FindCollation(`
`AName: UnicodeString`
`):PUCA_DataBook; overload; function FindCollation(`
`const AIndex: Integer`
`):PUCA_DataBook; overload;`

## Arguments

`AName` |  | Name of collation to find.

## Function result

Pointer to collation data

## Arguments

`AIndex` |  | Index of collation

## Description

FindCollection searches a collation with name AName or index AIndex in the list of known collations and returns a pointer to the collation data. If the requested collation is not known, i.e. the name is not found, or the index is out of range, then Nil is returned. The valid index range is 0 to GetCollationCount-1.

## See also

GetCollationCount |  | Return the number of known collations.